Draft: Arco da tre punti

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Arc 3Points and the translation is 30% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎русский • ‎中文(中国大陆)‎
Arrow-left.svg Draft Circle.svg Arco Pagina precedente:
Pagina successiva: Ellisse Draft Ellipse.svg Arrow-right.svg

Draft Arc 3Points.svg Arco da tre punti

Posizione nel menu
Draft → Arco da tre punti
Ambiente
Draft, Arch
Avvio veloce
A T
Introdotto nella versione
0.19
Vedere anche
Arco, Cerchio, Ellisse

Descrizione

Lo strumento Draft Arc 3Points.svg Arco da tre punti crea un arco circolare nell'attuale piano di lavoro inserendo tre punti che si trovano sulla circonferenza; il centro e il raggio sono determinati da questi tre punti. Usa il tipo di linea e il colore impostati in precedenza nella barra di Draft.

A Draft Arc is in fact a Draft Circle with a DataFirst Angle that is not the same as its DataLast Angle.

Draft Arc 3Points example.png

Arco definito da tre punti giacenti su una circonferenza

Utilizzo

See also: Draft Tray, Draft Snap and Draft Constrain.

  1. Premere il pulsante Draft Arc 3Points.svg Arco da tre punti, o premere i tasti A e poi T.
  2. Selezionare un primo punto nella vista 3D, oppure digitare le sue coordinate poi premere il pulsante Draft AddPoint.svg aggiungi punto.
  3. Selezionare un secondo punto nella vista 3D, oppure digitare le sue coordinate poi premere il pulsante Draft AddPoint.svg aggiungi punto.
  4. Selezionare un terzo punto nella vista 3D, oppure digitare le sue coordinate poi premere il pulsante Draft AddPoint.svg aggiungi punto.
  5. L'arco viene creato dopo aver assegnato il terzo punto.

Opzioni

The single character keyboard shortcuts available in the task panel can be changed. See Draft Preferences. The shortcuts mentioned here are the default shortcuts.

  • Premere X, Y o Z dopo un punto per vincolare il punto seguente sull'asse dato.
  • Per inserire le coordinate manualmente, basta inserire i valori, quindi premere Invio tra ciascun componente X, Y e Z.
    • Per inserire il punto è possibile premere il pulsante Draft AddPoint.svg aggiungi punto dopo aver inserito i valori desiderati.
  • Premere R oppure fare clic sulla casella di controllo per attivare la modalità relativo. Se la modalità relativo è attiva, le coordinate del punto seguente sono relative al punto precedente; in caso contrario, sono assolute, prese dall'origine (0, 0, 0).
  • Tenere premuto Maiusc mentre si disegna per vincolare in orizzontale o in verticale il prossimo punto rispetto al precedente.
  • Premere il pulsante Esc o Chiudi per interrompere il comando corrente.

Notes

  • A Draft Arc can be edited with the Draft Edit command.
  • If the Edit → Preferences... → Draft → General settings → Draft tools options → Use Part Primitives when available option is checked, the command will create a non-editable Part Feature instead of a Draft Circle. See Draft Preferences.

Proprietà

Un oggetto Arco condivide tutte le proprietà di un Cerchio, ma alcune proprietà hanno senso solo per il cerchio. Vedere Arco per ulteriori informazioni.

Script

Lo strumento Arco da tre punti può essere utilizzato nelle macro e dalla console Python tramite la seguente funzione:

arc = make_arc_3points(points, placement=None, face=False, support=None, map_mode="Deactivated", primitive=False)
  • Crea un oggetto arc da una data lista di points.
  • Se viene fornito un placement, il centro dell'arco verrà spostato in questo punto. Per ulteriori informazioni vedere Posizionamento.
  • Se face è True, l'arco formerà una faccia, cioè apparirà pieno.
  • Se viene fornito un support, esso è un LinkSubList, vale a dire un elenco che indica un oggetto e un sottoelemento di quell'oggetto. Viene utilizzato in modo che l'oggetto appaia riferito a questo supporto.
Per esempio, support=[(obj, ("Face1"))]
  • Se viene fornito un map_mode, è una stringa che definisce un tipo di mappatura, ad esempio,map_mode='FlatFace', map_mode='ThreePointsPlane', etc. Per ulteriori informazioni vedere Part Associazione.
  • Se primitive è True, l'arco creato sarà un semplice Part Feature, e non un oggetto Draft complesso.

Esempio:

import FreeCAD as App
import Draft

doc = App.newDocument()

points = [App.Vector(0, 0, 0),
          App.Vector(5, 10, 0),
          App.Vector(10, 0, 0)]

arc = Draft.make_arc_3points(points)

doc.recompute()


Arrow-left.svg Draft Circle.svg Arco Pagina precedente:
Pagina successiva: Ellisse Draft Ellipse.svg Arrow-right.svg